## dccpserversink dccpserversink — Send data as a server over the network via DCCP |

## Synopsis

    struct              GstDCCPServerSink;

## Object Hierarchy

      GObject
       +----GstObject
             +----GstElement
                   +----GstBaseSink
                         +----GstDCCPServerSink

## Properties

      "ccid"                     gint                  : Read / Write
      "close-socket"             gboolean              : Read / Write
      "port"                     gint                  : Read / Write
      "sockfd"                   gint                  : Read / Write
      "wait-connections"         gboolean              : Read / Write

## Signals

      "connected"                                      : Run First

## Description

This element wait for connections from clients and send data to them. DCCP (Datagram Congestion Control Protocol) is a Transport Layer protocol like TCP and UDP.

### Example pipeline

    1
    gst-launch -v dccpclientsrc host=localhost port=9011 ccid=2 ! decodebin ! alsasink

Client

    1
    gst-launch -v filesrc location=music.mp3 ! mp3parse ! dccpserversink port=9011 ccid=2

Server

This example pipeline will send a MP3 stream to the client using DCCP. The client will decode the MP3 and play it. Run the server pipeline first than the client pipeline. If you want, you can run more than one dccpclientsrc to connect to the same server (see wait-connections property at dccpserversink).

## Synopsis

### Element Information

plugin | dccp
author | E-Phone Team at Federal University of Campina Grande <leandroal@gmail.com>
class | Sink/Network

### Element Pads

name | sink
direction | sink
presence | always
details | ANY

## Details

### struct GstDCCPServerSink

    struct GstDCCPServerSink;

## Property Details

### The `"ccid"` property

      "ccid"                     gint                  : Read / Write

The Congestion Control IDentified to be used.

Allowed values: >= 2

Default value: 2

### The `"close-socket"` property

      "close-socket"             gboolean              : Read / Write

Close the client sockets at end of stream.

Default value: TRUE

### The `"port"` property

      "port"                     gint                  : Read / Write

The port to listen to.

Allowed values: [0,65535]

Default value: 5001

### The `"sockfd"` property

      "sockfd"                   gint                  : Read / Write

The client socket file descriptor.

Allowed values: >= G_MAXULONG

Default value: -1

### The `"wait-connections"` property

      "wait-connections"         gboolean              : Read / Write

Wait for many client connections.

Default value: FALSE

## Signal Details

### The `"connected"` signal

    void                user_function                      (GstDCCPServerSink *gstdccpserversink,
                                                            gint               arg1,
                                                            gpointer           user_data)              : Run First

`gstdccpserversink` : | the object which received the signal.
`user_data` : | user data set when the signal handler was connected.

## See Also

dccpclientsink, dccpclientsrc, dccpserversrc